libssh2_sftp_open_r(3)

NAME
libssh2_sftp_open_r - convenience macro for libssh2_sftp_open_ex_r(3) calls

SYNOPSIS
#include <libssh2.h>
#include <libssh2_sftp.h>
LIBSSH2_SFTP_HANDLE *
libssh2_sftp_open_r(LIBSSH2_SFTP *sftp, const char *filename,
                    unsigned long flags,
                    long mode,
                    LIBSSH2_SFTP_ATTRIBUTES *attrs);

DESCRIPTION
This is a macro defined in a public libssh2 header file that is using the underlying function libssh2_sftp_open_ex_r(3).

RETURN VALUE
See libssh2_sftp_open_ex_r(3)

ERRORS
See libssh2_sftp_open_ex_r(3)

SEE ALSO
libssh2_sftp_open_ex_r(3)